Bug 70199 - net-snmp links to libelf
net-snmp links to libelf
Product: Red Hat Linux
Classification: Retired
Component: net-snmp (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Depends On:
Blocks: 67218 79579
  Show dependency treegraph
Reported: 2002-07-30 20:00 EDT by Owen Taylor
Modified: 2015-03-04 20:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-17 06:39:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Owen Taylor 2002-07-30 20:00:44 EDT
net-snmp checks for libelf in its configure script and links to it.

The apparent reason for this is that it wants to to use libelf
to poke around in /dev/kmem on some non-Linux systems.
Comment 1 Brent Nordquist 2002-12-06 19:29:46 EST
Release -6 of the RPM has a patch from Florian that says it prevents the build
from trying to use -lelf (it replaces it with -llelf, which I guess is supposed
to make -lelf not found during configure).  However, during the build, it still
links with -lelf in the last step, which will fail if libelf-devel is not
installed (see bug 76086).  I think either 76086 needs to be implemented (so
libelf-devel is properly required during build), or this one should be
implemented (so libelf is truly not needed).
Comment 2 Phil Knirsch 2002-12-17 06:39:27 EST
Fixed in net-snmp-5.0.6-9 rawhide build.

Note You need to log in before you can comment on or make changes to this bug.